Subject: Re: ANN: nmail - sending and receiving mail over NNCP

From: John Goerzen <[email-masked]>
Date: Wed, 10 Nov 2021 20:40:45 -0600

This is a pretty neat idea!

Can you clarify for me a bit - what is nmail doing that a mapping 
in the MTA wouldn't?   For instance, some MTA mapping saying:

foo@{addr}.nncp -> nncp-exec addr:rmail foo@{addr}.nncp

Just wanting to make sure I understand what it's doing.

Is it looking up aliases in nncp.hjson?

John

On Wed, Oct 27 2021, Koushik Roy wrote:

> Hey all,
>
> I've been hacking on https://github.com/Koshroy/nmail recently, 
> which is
> a really simple program that helps send and receive mail via 
> NNCP. I'm
> running Postfix as my MTA, so I have an NNCP transport defined 
> and have
> mails meant for NNCP go over a Postfix pipe service to nmail. 
> Headers
> are munged on the receiving side to make it easy to reply to 
> mails and
> have these replys go over NNCP as well.
>
> If you're interested in using the software, please let me know 
> what you
> think!
>
> Thanks,
> Koushik